Summary: The GNU Scientific Library for numerical analysis.
Name: gsl
Version: 0.5
Release: 3mdk
URL: http://sourceware.cygnus.com/gsl/
Source: ftp://sourceware.cygnus.com/pub/gsl/gsl-%{version}.tar.bz2
Patch: gsl-0.3b-errlib.patch.bz2
Patch2: gsl-foo.patch.bz2
Copyright: GPL 
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-root

%description
The gsl package includes the GNU Scientific Library (GSL).  The GSL is a
collection of routines for numerical analysis, written in C.  The GSL is
in alpha development.  It now includes a random number suite, an FFT
package, simulated annealing and root finding.  In the future, it will
include numerical and Monte Carlo integration and special functions.
Linking against the GSL allows programs to access functions which can
handle many of the problems encountered in scientific computing.

Install the gsl package if you need a library for high-level scientific
numerical analysis.

%package devel
Summary: devel files for Scientific Library
Group: Development/C
%description devel
The gsl package includes the GNU Scientific Library (GSL).  The GSL is a
collection of routines for numerical analysis, written in C.  The GSL is
in alpha development.  It now includes a random number suite, an FFT
package, simulated annealing and root finding.  In the future, it will
include numerical and Monte Carlo integration and special functions.
Linking against the GSL allows programs to access functions which can
handle many of the problems encountered in scientific computing.

These are the static libs and include headers for developpers.

%changelog

* Fri Jul 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-3mdk
- BM
- split out devel

* Tue Apr 18 2000 John Buswell <johnb@mandrakesoft.com> 0.5-2mdk
- Fixed distribution tag

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 0.5-1mdk
- 0.5
- Fixed groups
- spec-helper

* Mon Nov 24 1999 Camille Begnis <camille@mandrakesoft.com>
- added %defattr and SMP compilation
- updated url and ftp source

* Tue Aug 16 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.4.1

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build for new environment (Rel: 5mdk).

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Remove the ldconfig hack of bero.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- make ldconfig in %post and %preun -p

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Mar 11 1999 Bill Nottingham <notting@redhat.com>
- update to 0.3f
- add patches to fix glibc-2.1 compilation, doc oddity

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- new summary/description, work around automake oddity

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- libtoolize for arm

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec file fixups

* Sat May 9 1998 Michael Fulbright <msf@redhat.com>
- started with package for gmp from Toshio Kuratomi <toshiok@cats.ucsc.edu>
- cleaned up file list
- fixed up install-info support

%prep
%setup
#%patch -p1
#%patch2 -p1 -b .foo

%build
%configure --prefix=${RPM_BUILD_ROOT}/usr
touch doc/gsl-ref.info
uname -a|grep SMP && make -j 2 CFLAGS="${RPM_OPT_FLAGS}" || make CFLAGS="${RPM_OPT_FLAGS}"

%install
mkdir -p ${RPM_BUILD_ROOT}%{_libdir} ${RPM_BUILD_ROOT}%{_infodir} \
         ${RPM_BUILD_ROOT}%{_includedir}

%makeinstall

%post
%_install_info gsl-ref.info

%postun 
%_remove_install_info gsl-ref.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755) 
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
#%{_libdir}/lib*.so.*
%{_infodir}/*
%{_bindir}/*

%files devel
%defattr(-,root,root,0755) 
#%{_libdir}/libgmp.so
%{_libdir}/gsl/lib*.a
%{_includedir}/*
